<?php
/*

 Website Baker Project <http://www.websitebaker.org/>
 Copyright (C) 2004-2008, Ryan Djurovich

 Website Baker is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 Website Baker is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with Website Baker; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

if(!defined('WB_PATH')) exit('Direct access to this file is not allowed');

function __unserialize($sObject) {  // found in php manual :-)
    $__ret =preg_replace('!s:(\d+):"(.*?)";!e', "'s:'.strlen('$2').':\"$2\";'", $sObject );
	return unserialize($__ret);
}

require_once(WB_PATH.'/modules/portfolio_detail/languages/EN.php');
if(file_exists(WB_PATH.'/modules/portfolio_detail/languages/'.LANGUAGE.'.php')) {
	require_once(WB_PATH.'/modules/portfolio_detail/languages/'.LANGUAGE.'.php');
}

echo '<script type="text/javascript" src="' . WB_URL . '/modules/portfolio/script/jquery-1.2.6.pack.js"></script>'."\n";
echo '<script type="text/javascript" src="' . WB_URL . '/modules/portfolio/script/jquery.fancybox.js"></script>'."\n";
echo '<script type="text/javascript" src="' . WB_URL . '/modules/portfolio/script/jquery.metadata.js"></script>'."\n";
echo '<script type="text/javascript" src="' . WB_URL . '/modules/portfolio/script/jquery.pngFix.js"></script>'."\n";
echo '<link rel="stylesheet" type="text/css" href="' . WB_URL . '/modules/portfolio/script/fancybox.css" media="screen" />'."\n";
	
$portfolio_dir = WB_PATH.MEDIA_DIRECTORY.'/portfolio';
$portfolio_url = WB_URL.MEDIA_DIRECTORY.'/portfolio';


//TODO: Find Parentpage settings!!
$page_query = $database->query ("SELECT parent FROM ".TABLE_PREFIX."pages WHERE page_id = '$page_id'");
$page_data = $page_query->fetchRow();
$parent_id = $page_data['parent'];

$get_settings = $database->query("SELECT * FROM ".TABLE_PREFIX."mod_portfolio_settings WHERE page_id = '$parent_id'");
if (!$get_settings || $get_settings->numRows() == 0) {
	?>
	<table><tr><td><?php echo $PORTFOLIO['CHILD_ERROR']; ?></td></tr></table>
	<?php
	die();
}
$settings = $get_settings->fetchRow();
$thumbheight = $settings['thumbheight'];
$thumbwidth = $settings['thumbwidth'];
$mediumheight = $settings['mediumheight'];
$mediumwidth = $settings['mediumwidth'];
$fullheight = $settings['fullheight'];
$fullwidth = $settings['fullwidth'];
$fields = $settings['fields'];

// Get page content
$query = "SELECT * FROM ".TABLE_PREFIX."mod_portfolio_detail WHERE section_id = '$section_id'";
$get_content = $database->query($query);
$content_rec = $get_content->fetchRow();
$content = (htmlspecialchars($content_rec['content']));
$efields = __unserialize($content_rec['serialized']);

list($mw, $mh, $mtype, $mattr) = @getimagesize($portfolio_dir.$content_rec['mediumimage']);
$popmedimg = '<a title="size: '.$mw.' x '.$mh.'" href="'.$portfolio_url.$content_rec['mediumimage'].'?notcached='.time().'" class="zoom">['.$PORTFOLIO['POPUP_IMG'].']</a>';
list($fw, $fh, $ftype, $fattr) = @getimagesize($portfolio_dir.$content_rec['fullimage']);
$popfulimg = '<a title="size: '.$fw.' x '.$fh.'" href="'.$portfolio_url.$content_rec['fullimage'].'?notcached='.time().'" class="zoom">['.$PORTFOLIO['POPUP_IMG'].']</a>';


if(!isset($wysiwyg_editor_loaded)) {
	$wysiwyg_editor_loaded=true;

	if (!defined('WYSIWYG_EDITOR') OR WYSIWYG_EDITOR=="none" OR !file_exists(WB_PATH.'/modules/'.WYSIWYG_EDITOR.'/include.php')) {
		function show_wysiwyg_editor($name,$id,$content,$width,$height) {
			echo '<textarea name="'.$name.'" id="'.$id.'" style="width: '.$width.'; height: '.$height.';">'.$content.'</textarea>';
		}
	} else {
		$id_list=array();
		$query_wysiwyg = $database->query("SELECT section_id FROM ".TABLE_PREFIX."sections WHERE page_id = '$page_id' AND module = 'portfolio_detail'");
		if($query_wysiwyg->numRows() > 0) {
			while($wysiwyg_section = $query_wysiwyg->fetchRow()) {
				$entry='content'.$wysiwyg_section['section_id'];
				array_push($id_list,$entry);
			}
			require(WB_PATH.'/modules/'.WYSIWYG_EDITOR.'/include.php');
		}
	}
}
?>
<script type="text/javascript">
$(document).ready(function() {
	$('a.zoom').fancybox({
		'hideOnContentClick': true,
		'overlayShow':	true
	});  
});
</script>
<form enctype="multipart/form-data" name="wysiwyg<?php echo $section_id; ?>" action="<?php echo WB_URL; ?>/modules/portfolio_detail/save.php" method="post">

<input type="hidden" name="page_id" value="<?php echo $page_id; ?>" />
<input type="hidden" name="section_id" value="<?php echo $section_id; ?>" />
<input type="hidden" name="thumbheight" value="<?php echo $thumbheight; ?>" />
<input type="hidden" name="thumbwidth" value="<?php echo $thumbwidth; ?>" />
<input type="hidden" name="mediumheight" value="<?php echo $mediumheight; ?>" />
<input type="hidden" name="mediumwidth" value="<?php echo $mediumwidth; ?>" />
<input type="hidden" name="fullheight" value="<?php echo $fullheight; ?>" />
<input type="hidden" name="fullwidth" value="<?php echo $fullwidth; ?>" />
<input type="hidden" name="efields" value="<?php echo $fields; ?>" />
<table cellpadding="2" cellspacing="0" border="0" width="99%" style="border:1px solid #7f7f7f; padding: 3px;">
<tr style="background:#F0F0F0"><td colspan="2"><H2><?php echo $PORTFOLIO['CAROUSEL_IMG']; ?></H2></td></tr>
<?php if($content_rec['thumbnail'] !== "" && file_exists($portfolio_dir.$content_rec['thumbnail'])) { ?>
	<tr><td><img style="padding: 5px; border: 1px solid #7f7f7f; height:<?php echo $thumbheight; ?>px" src="<?php echo $portfolio_url.$content_rec['thumbnail']; ?>"></td>
	&nbsp;
	<td><input type="checkbox" name="delete_image" id="delete_image" value="true" /><label for="delete_image"><?php echo $PORTFOLIO['DELETE']; ?>?</label>
	<br/><small><?php echo $PORTFOLIO['HELP_IMG']; ?></small>
	</td></tr>
	<tr><td><?php echo $PORTFOLIO['TIMG_UPLOAD']; ?>:</td><td><input size="40" type="file" name="thuimg" /> </td></tr>
	<tr><td><?php echo $PORTFOLIO['MIMG_UPLOAD']; ?>:</td><td><input size="40" type="file" name="medimg" /> <?php echo $popmedimg; ?></td></tr>
	<tr><td><?php echo $PORTFOLIO['FIMG_UPLOAD']; ?>:</td><td><input size="40" type="file" name="fulimg" /> <?php echo $popfulimg; ?></td></tr>
<?php } else { ?>
	<tr><td><?php echo $PORTFOLIO['IMG_UPLOAD']; ?>:</td><td><input size="50" type="file" name="image" /></td></tr>
<?php } ?>
<tr><td width="250" nowrap="true"><?php echo $PORTFOLIO['ALT']; ?>:</td><td><input size="60" type="text" name="alt" value="<?php echo $content_rec['alt']; ?>" /></td></tr>
</table><br/>
<?php if ($fields !== "") { ?>
<table cellpadding="2" cellspacing="0" border="0" width="99%" style="border:1px solid #7f7f7f; padding: 3px;">
<tr style="background:#F0F0F0"><td colspan="2"><H2><?php echo $PORTFOLIO['UDF_TITLE']; ?></H2></td></tr>
<?php
   $fieldArray = explode(",",$fields);
   foreach  ($fieldArray as $v => $k) {
   if (!isset($efields[$k])) $efields[$k] = "";
   ?><tr><td width="150" nowrap="true"><?php echo $k; ?>:</td><td><input size="80" type="text" name="f_<?php echo $k; ?>" value="<?php echo $efields[$k] ?>"></td></tr><?php
   }
?>
</table>
<br />
<?php } ?>

<table cellpadding="2" cellspacing="0" border="0" width="99%" style="border:1px solid #7f7f7f; padding: 3px;">
<tr style="background:#F0F0F0"><td colspan="2"><H2><?php echo $PORTFOLIO['WYSIWYG']; ?></H2></td></tr>
<tr ><td>
<?php
show_wysiwyg_editor('content'.$section_id,'content'.$section_id,$content,'600px','350px');
?></td></tr>
</table>

<table cellpadding="0" cellspacing="0" border="0" width="100%" style="padding-bottom: 3px;">
<tr>
	<td align="left">
		<input type="submit" value="<?php echo $TEXT['SAVE']; ?>" style="width: 100px; margin-top: 5px;" />
	</td>
	<td align="right">
		</form>
		<input type="button" value="<?php echo $TEXT['CANCEL']; ?>" onclick="javascript: window.location = 'index.php';" style="width: 100px; margin-top: 5px;" />
	</td>
</tr>
</table>

</form>

<br />