<?php
/*

 Website Baker Project <http://www.websitebaker.org/>
 Copyright (C) 2004-2008, Ryan Djurovich

 Website Baker is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 Website Baker is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with Website Baker; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

require('../../config.php');
include_once('resize_img.php');

// Include WB admin wrapper script
$update_when_modified = true; // Tells script to update when this page was last updated
require(WB_PATH.'/modules/admin.php');
// Include the WB functions file
require_once(WB_PATH.'/framework/functions.php');



$portfolio_dir = WB_PATH.MEDIA_DIRECTORY.'/portfolio';
make_dir($portfolio_dir);
$new_filename = '';
// Update the mod_wysiwygs table with the contents
if(isset($_POST['content'.$section_id])) {
	//Get serialized extra fields
	$fieldArray = explode(",",$_POST['efields']);
	foreach  ($fieldArray as $v => $k) {
		$fieldData[$k]=$admin->add_slashes($_POST['f_'.$k]);
	}
	$fieldSerialized = serialize($fieldData);

	$content = $admin->add_slashes($_POST['content'.$section_id]);
	$alt = $admin->add_slashes($_POST['alt']);
	$database = new database();
	$query = "UPDATE ".TABLE_PREFIX."mod_portfolio_detail SET content = '$content', alt = '$alt', serialized = '$fieldSerialized' WHERE section_id = '$section_id'";
	$database->query($query);	
}


// Check if the user uploaded an image or wants to delete one
if(isset($_FILES['image']['tmp_name']) AND $_FILES['image']['tmp_name'] != '') {
	// Get real filename and set new filename
	$filename = $_FILES['image']['name'];
	$path_parts = pathinfo($filename);
	$fileext = strtolower($path_parts['extension']);
	$new_filename = '/image'.$section_id.'.'.$fileext;
	$new_thumbname = '/thumb'.$section_id.'.'.$fileext;
	$new_mediumname = '/medium'.$section_id.'.'.$fileext;
	
	// Make sure the image is a jpg or png file
	if(!($fileext == "jpg" || $fileext == "jpeg" || $fileext == "png" || $fileext == "gif" )) {
		$admin->print_error($MESSAGE['GENERIC']['FILE_TYPES'].' JPG / JPEG / PNG / GIF', ADMIN_URL.'/pages/modify.php?page_id='.$page_id);
	}
	// Upload image
	move_uploaded_file($_FILES['image']['tmp_name'], $portfolio_dir.$new_filename);
	change_mode($portfolio_dir.$new_filename);
	$query = "UPDATE ".TABLE_PREFIX."mod_portfolio_detail SET thumbnail = '$new_filename' WHERE section_id = '$section_id'";
	$database->query($query);	

	
	if (file_exists($portfolio_dir.$new_filename)) {
		$rimg=new RESIZEIMAGE($portfolio_dir.$new_filename);
		$rimg->resize_limitwh($admin->get_post('thumbwidth'),$admin->get_post('thumbheight'),$portfolio_dir.$new_thumbname);
		$rimg->close();

		$rimg=new RESIZEIMAGE($portfolio_dir.$new_filename);
		$rimg->resize_limitwh($admin->get_post('mediumwidth'),$admin->get_post('mediumheight'),$portfolio_dir.$new_mediumname);
		$rimg->close();

		$rimg=new RESIZEIMAGE($portfolio_dir.$new_filename);
		$rimg->resize_limitwh($admin->get_post('fullwidth'),$admin->get_post('fullheight'),$portfolio_dir.$new_filename);
		$rimg->close();

		change_mode($portfolio_dir.$new_thumbname);
		change_mode($portfolio_dir.$new_mediumname);
		change_mode($portfolio_dir.$new_filename);
		$query = "UPDATE ".TABLE_PREFIX."mod_portfolio_detail SET thumbnail = '$new_thumbname', mediumimage = '$new_mediumname', fullimage = '$new_filename' WHERE section_id = '$section_id'";
		$database->query($query);	
	}

}

//overwrite thumbnail
if(isset($_FILES['thuimg']['tmp_name']) AND $_FILES['thuimg']['tmp_name'] != '') {
	$filename = $_FILES['thuimg']['name'];
	$path_parts = pathinfo($filename);
	$fileext = strtolower($path_parts['extension']);
	$new_thumbname = '/thumb'.$section_id.'.'.$fileext;
	
	// Make sure the image is a jpg or png file
	if(!($fileext == "jpg" || $fileext == "jpeg" || $fileext == "png" || $fileext == "gif" )) {
		$admin->print_error($MESSAGE['GENERIC']['FILE_TYPES'].' JPG / JPEG / PNG / GIF', WB_URL.'/pages/modify.php?page_id='.$page_id);
	}
	// Upload image
	move_uploaded_file($_FILES['thuimg']['tmp_name'], $portfolio_dir.$new_thumbname);
	change_mode($portfolio_dir.$new_thumbname);
	
	if (file_exists($portfolio_dir.$new_thumbname)) {
		$rimg=new RESIZEIMAGE($portfolio_dir.$new_thumbname);
		$rimg->resize_limitwh($admin->get_post('thumbwidth'),$admin->get_post('thumbheight'),$portfolio_dir.$new_thumbname);
		$rimg->close();
		change_mode($portfolio_dir.$new_thumbname);
		$query = "UPDATE ".TABLE_PREFIX."mod_portfolio_detail SET thumbnail = '$new_thumbname' WHERE section_id = '$section_id'";
		$database->query($query);	
	}
}
//overwrite medium imgae
if(isset($_FILES['medimg']['tmp_name']) AND $_FILES['medimg']['tmp_name'] != '') {
	$filename = $_FILES['medimg']['name'];
	$path_parts = pathinfo($filename);
	$fileext = strtolower($path_parts['extension']);
	$new_mediumname = '/medium'.$section_id.'.'.$fileext;
	
	// Make sure the image is a jpg or png file
	if(!($fileext == "jpg" || $fileext == "jpeg" || $fileext == "png" || $fileext == "gif" )) {
		$admin->print_error($MESSAGE['GENERIC']['FILE_TYPES'].' JPG / JPEG / PNG / GIF', WB_URL.'/pages/modify.php?page_id='.$page_id);
	}
	// Upload image
	move_uploaded_file($_FILES['medimg']['tmp_name'], $portfolio_dir.$new_mediumname);
	change_mode($portfolio_dir.$new_mediumname);
	
	if (file_exists($portfolio_dir.$new_mediumname)) {
		$rimg=new RESIZEIMAGE($portfolio_dir.$new_mediumname);
		$rimg->resize_limitwh($admin->get_post('mediumwidth'),$admin->get_post('mediumheight'),$portfolio_dir.$new_mediumname);
		$rimg->close();
		change_mode($portfolio_dir.$new_mediumname);
		$query = "UPDATE ".TABLE_PREFIX."mod_portfolio_detail SET mediumimage = '$new_mediumname' WHERE section_id = '$section_id'";
		$database->query($query);	
	}
}

//overwrite full imgae
if(isset($_FILES['fulimg']['tmp_name']) AND $_FILES['fulimg']['tmp_name'] != '') {
	$filename = $_FILES['fulimg']['name'];
	$path_parts = pathinfo($filename);
	$fileext = strtolower($path_parts['extension']);
	$new_filename = '/image'.$section_id.'.'.$fileext;
	
	// Make sure the image is a jpg or png file
	if(!($fileext == "jpg" || $fileext == "jpeg" || $fileext == "png" || $fileext == "gif" )) {
		$admin->print_error($MESSAGE['GENERIC']['FILE_TYPES'].' JPG / JPEG / PNG / GIF', WB_URL.'/pages/modify.php?page_id='.$page_id);
	}
	// Upload image
	move_uploaded_file($_FILES['fulimg']['tmp_name'], $portfolio_dir.$new_filename);
	change_mode($portfolio_dir.$new_filename);
	
	if (file_exists($portfolio_dir.$new_filename)) {
		$rimg=new RESIZEIMAGE($portfolio_dir.$new_filename);
		$rimg->resize_limitwh($admin->get_post('fullwidth'),$admin->get_post('fullheight'),$portfolio_dir.$new_filename);
		$rimg->close();
		change_mode($portfolio_dir.$new_filename);
		$query = "UPDATE ".TABLE_PREFIX."mod_portfolio_detail SET fullimage = '$new_filename' WHERE section_id = '$section_id'";
		$database->query($query);	
	}
}


// Delete image if requested
if(isset($_POST['delete_image']) AND $_POST['delete_image'] != '') {
	// Query the database for the image extension
	$query_content = $database->query("SELECT * FROM ".TABLE_PREFIX."mod_portfolio_detail WHERE section_id = '$section_id'");
	$fetch_content = $query_content->fetchRow();
	$filename = $portfolio_dir.$fetch_content['thumbnail'];
	if ($fetch_content['thumbnail'] !== "") {
		if(file_exists($filename)) {
			unlink($filename);
		}
	}
	if ($fetch_content['mediumimage'] !== "") {
		$filename = $portfolio_dir.$fetch_content['mediumimage'];
		if(file_exists($filename)) {
			unlink($filename);
		}
	}
	if ($fetch_content['fullimage'] !== "") {
		$filename = $portfolio_dir.$fetch_content['fullimage'];
		if(file_exists($filename)) {
			unlink($filename);
		}
	}

	$query = "UPDATE ".TABLE_PREFIX."mod_portfolio_detail SET thumbnail = '', mediumimage = '', fullimage = '' WHERE section_id = '$section_id'";
	$database->query($query);	

	
}





// Check if there is a database error, otherwise say successful
if($database->is_error()) {
	$admin->print_error($database->get_error(), $js_back);
} else {
	$admin->print_success($MESSAGE['PAGES']['SAVED'], ADMIN_URL.'/pages/modify.php?page_id='.$page_id);
}

// Print admin footer
$admin->print_footer();

?>